org.apache.ode.bpel.engine.replayer

## Class Replayer

- java.lang.Object
- - org.apache.ode.bpel.engine.replayer.Replayer

-     public class Replayer
      extends java.lang.Object

  Main class used for replaying. It's invoked from InstanceManagement API. Receives request and sets up replaying contexts for each instance to replay.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BpelDAOConnection` | `conn`
    `java.util.List<ReplayerContext>` | `contexts`
    `BpelEngineImpl` | `engine`
    `static java.lang.ThreadLocal<Replayer>` | `replayer`
    `ReplayerScheduler` | `scheduler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Replayer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReplayerContext` | `findReplayedInstance(long iid)`
    `GetCommunicationResponse` | `getCommunication(GetCommunication request, BpelDAOConnection conn)`
    `void` | `handleJobDetails(Scheduler.JobDetails jobDetail, java.util.Date when)`
    `java.util.List<java.lang.Long>` | `replayInstances(Replay request, BpelEngine engine, BpelDAOConnection conn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### replayer

          public static java.lang.ThreadLocal<Replayer> replayer

    - #### scheduler

          public ReplayerScheduler scheduler

    - #### engine

          public BpelEngineImpl engine

    - #### contexts

          public java.util.List<ReplayerContext> contexts

    - #### conn

          public BpelDAOConnection conn

  - ### Constructor Detail

    - #### Replayer

          public Replayer()

  - ### Method Detail

    - #### replayInstances

          public java.util.List<java.lang.Long> replayInstances(Replay request,
                                                                BpelEngine engine,
                                                                BpelDAOConnection conn)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCommunication

          public GetCommunicationResponse getCommunication(GetCommunication request,
                                                           BpelDAOConnection conn)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findReplayedInstance

          public ReplayerContext findReplayedInstance(long iid)

    - #### handleJobDetails

          public void handleJobDetails(Scheduler.JobDetails jobDetail,
                                       java.util.Date when)